/**  

 * Copyright © 2017yifu. All rights reserved.

 *

 * @Title: TreeNode.java

 * @Prject: worfuplus

 * @Package: com.worfu.web.bo

 * @author: Administrator

 * @date: 2017年7月26日 上午11:44:49

 * @version: V1.0  

 */
package com.yifu.cloud.plus.v1.yifu.admin.api.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 树形节点
 * @author: FANG
 * @createDate: 2017年7月26日 上午11:44:49
 */
@Data
public class TreeNode {
	private String id;
    private String label;
    private String disabled;
    protected String parentId;
    protected List<TreeNode> children = new ArrayList<TreeNode>();
    protected List<TreeNode> subMenus = new ArrayList<TreeNode>();


    public void add(TreeNode node) {
        children.add(node);
        subMenus.add(node);
    }
}

	
	